# Miscellaneous API

## `wget()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.wget
```
## `Segment`
```{eval-rst}
.. autoclass:: planetary_coverage.misc.Segment
```
## `rindex()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.rindex
```

## Cache
### `@cached_property`
```{eval-rst}
.. autodecorator:: planetary_coverage.misc.cached_property
```

## Depreciation
### `@depreciated`
```{eval-rst}
.. autodecorator:: planetary_coverage.misc.depreciated
```
### `DepreciationHelper`
```{eval-rst}
.. autoclass:: planetary_coverage.misc.DepreciationHelper
```

## Env variable and dotenv file
### `getenv()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.getenv
```
### `find_dotenv()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.find_dotenv
```
### `print_kernels_dir()`
```{eval-rst}
.. autofunction:: planetary_coverage.print_kernels_dir
```
### `%load_ext planetary_coverage`
```{eval-rst}
.. autofunction:: planetary_coverage.load_ipython_extension
```

## File size
### `file_size()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.file_size
```
### `get_size()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.filesize.get_size
```
### `as_bytes()`
```{eval-rst}
.. autofunction:: planetary_coverage.misc.filesize.as_bytes
```
