# ROIs API
```{eval-rst}
.. currentmodule:: planetary_coverage.rois
```

## `ROI`
```{eval-rst}
.. autoclass:: ROI
```
## `ROIsCollection`
```{eval-rst}
.. autoclass:: ROIsCollection
```
## `ROIsCollectionWithCategories`
```{eval-rst}
.. autoclass:: ROIsCollectionWithCategories
```

## `GanymedeROIs`
```{eval-rst}
.. autoattribute:: planetary_coverage.rois.GanymedeROIs
```
## `CallistoROIs`
```{eval-rst}
.. autoattribute:: planetary_coverage.rois.CallistoROIs
```
## `Stephan2021ROIsCollection`
```{eval-rst}
.. autoclass:: planetary_coverage.rois.rois_stephan_2021_pss.Stephan2021ROIsCollection
```

## `GeoJsonROI`
```{eval-rst}
.. autoclass:: GeoJsonROI
```

## `Category`
```{eval-rst}
.. autoclass:: Category
```
## `CategoriesCollection`
```{eval-rst}
.. autoclass:: CategoriesCollection
```

## `SubCategory`
```{eval-rst}
.. autoclass:: SubCategory
```
## `SubCategoriesCollection`
```{eval-rst}
.. autoclass:: SubCategoriesCollection
```

## `AbstractItem`
```{eval-rst}
.. autoclass:: planetary_coverage.rois.abstract.AbstractItem
```
## `AbstractCollection`
```{eval-rst}
.. autoclass:: planetary_coverage.rois.abstract.AbstractCollection
```
