KPL/MK

Dummy kernel
============

Example of single value.

  \begindata

    SINGLE_INT     = -1
    SINGLE_FLOAT   = +1.2
    SINGLE_FLOAT_D = 1.657D-3
    SINGLE_STRING  = 'FOO'
    SINGLE_DATE    = @31-JAN-1987
    SINGLE/SLASH   = 32.184

  \begintext

Example of vector separated with a single element.

  \begindata

    VEC_INT_SINGLE   = (   1 )
    VEC_FLOAT_SINGLE = ( 0.0 )
    VEC_STR_SINGLE   = ( 'You can''t always get what you want.' )

  \begintext

Example of vector separated with commas.

  \begindata

    VEC_INT_COMMA   = (   1,      3,      2 )
    VEC_FLOAT_COMMA = ( 0.0,    0.0,   90.0 )
    VEC_STR_COMMA   = ( 'FOO', 'BAR' )

  \begintext

Example of vector separated with space.

  \begindata

    ARR_INT_SPACE   = (   4       5       6 )
    ARR_FLOAT_SPACE = ( 1.0   +10.0   -25.0 )
    ARR_STR_SPACE   = ( 'BAZ'  'QUX' )

  \begintext

  Example of vector in multi-lines.

  \begindata

    VEC_FLOAT_MULTI_LINES = (

        -1.2

        3.4
        +4.5
        6  7
        8, @31-JAN-1987
    )

    VEC_STR_MULTI_LINES = ( 'KILOMETERS','SECONDS'
                            'KILOMETERS/SECOND' )

    VEC_STR_MULTI_LINES_2 = ( 'KILOMETERS'
                              'SECONDS', 'KILOMETERS/SECOND' )

    VEC_STR_MULTI_LINES_3 = ( 'ANGLES    = DEGREES'
                              'DISTANCES = KILOMETERS' )

    CONTINUED_STRINGS = ( 'This //  ',
                          'is //  ',
                          'just //',
                          'one long //',
                          'string.',
                          'Here''s a second //',
                          'continued //'
                          'string.'              )

   \begintext

  Example of value assignment:

   \begindata

    ASSIGN_VALUE  = -3.878
    ASSIGN_VALUE += -0.120
    ASSIGN_VALUE += +0.070
    ASSIGN_VALUE += -0.017
    ASSIGN_VALUE += 0.

    ASSIGN_EMPTY += 1

   \begintext

   The kernels listed below can be obtained from :

      ftp://example.com/kernels

   \begindata

      PATH_VALUES       = ( '.' )

      PATH_SYMBOLS      = ( 'KERNELS' )

      KERNELS_TO_LOAD   = (

         '$KERNELS/naif0012.tls'

         '$KERNELS/+'
         'dummy.tf'

      )

      SKD_VERSION = 'v999_20210531_001'
      MK_IDENTIFIER = 'metakernel_v999_20210531_001'

   \begintext


End of the File
